<!--
  Generated template for the AddHouseholdPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="carbon">
    <ion-title >Add Household</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <div id="map_canvas">
  </div>
    <ion-list>
      <ion-item>
      <ion-label floating>Province</ion-label>
        <ion-input [(ngModel)]="houseHold.province" disabled></ion-input>
      </ion-item>
      <ion-item>
      <ion-label floating>Municipality</ion-label>
        <ion-input [(ngModel)]="houseHold.municipality" disabled></ion-input>
      </ion-item>
      <ion-item>
        <ion-label floating>Barangay</ion-label>
        <ion-input [(ngModel)]="houseHold.barangay" disabled></ion-input>
      </ion-item>
      <ion-item>
        <ion-label floating>Purok</ion-label>
        <ion-input [(ngModel)]="houseHold.purok"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label floating="">Street</ion-label>
        <ion-input [(ngModel)]="houseHold.street" ></ion-input>
      </ion-item>
      <ion-item>
        <ion-label floating>House Identification Number</ion-label>
        <ion-input [(ngModel)]="houseHold.house_identification_number" ></ion-input>
      </ion-item>
      <ion-item>
        <ion-label floating >Latitude</ion-label>
        <ion-input [(ngModel)]="houseHold.latitude" disabled></ion-input>
      </ion-item>
      <ion-item>
        <ion-label floating>Longitude</ion-label>
        <ion-input [(ngModel)]="houseHold.longitude" disabled></ion-input>
      </ion-item>
      <ion-item>
        <ion-label floating>Name of Respondent</ion-label>
        <ion-input [(ngModel)]="houseHold.name_of_respondent" ></ion-input>
      </ion-item>
      <ion-item>
        <ion-label floating>Household Contact Number</ion-label>
        <ion-input [(ngModel)]="houseHold.contact" ></ion-input>
      </ion-item>
      <ion-item>
        <ion-label floating>Number of Families in the household</ion-label>
        <ion-input type="number" [(ngModel)]="houseHold.no_family"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label floating >Number of Household Members</ion-label>
        <ion-input type="number" [(ngModel)]="houseHold.no_members"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label floating>Is there a household member with disability</ion-label>
        <ion-select [(ngModel)]="houseHold.disability">
          <ion-option value="yes">Yes</ion-option>
          <ion-option value="no">No</ion-option>
        </ion-select>
      </ion-item>
      <ion-item>
        <ion-label floating>If Yes, how many?</ion-label>
        <ion-input type="number" [disabled]="houseHold.disability === 'no' " [(ngModel)]="houseHold.no_disability"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label floating>In what type of building does the household reside?</ion-label>
        <ion-select [(ngModel)]="houseHold.building_type">
          <ion-option value="Concrete">Concrete</ion-option>
          <ion-option value="Semi-Concrete">Semi-Concrete</ion-option>
          <ion-option value="Light-Materials">Light Materials</ion-option>
        </ion-select>
      </ion-item>
      <ion-item>
        <ion-label floating>Household’s main source of water supply</ion-label>
        <ion-select [(ngModel)]="houseHold.water_supply">
          <ion-option value="Own Faucet, Community Water System">Own Faucet, Community Water System</ion-option>
          <ion-option value="Shared Faucet, Community Water System">Shared Faucet, Community Water System</ion-option>
          <ion-option value="Own used tubed/piped deep well">Own used tubed/piped deep well</ion-option>
          <ion-option value="Shared tubed/piped deep well">Own used tubed/piped deep well</ion-option>
          <ion-option value="Tubed/Piped Shallow Well">Tubed/Piped Shallow Well</ion-option>
          <ion-option value="Dug Well">Dug Well</ion-option>
          <ion-option value="Protected Spring">Protected Spring</ion-option>
          <ion-option value="Peddler">Peddler</ion-option>
          <ion-option value="Bottled Water">Bottled Water</ion-option>
          <ion-option value="Lake, River, Rain, and Others">Lake, River, Rain, and Others</ion-option>
        </ion-select>
      </ion-item>
      <ion-item>
        <ion-label floating>Type of toilet facility in the household</ion-label>
        <ion-select [(ngModel)]="houseHold.toilet">
          <ion-option value="Owned">Owned</ion-option>
          <ion-option value="Shared">Shared</ion-option>
          <ion-option value="Closed Pit">Closed Pit</ion-option>
          <ion-option value="Open Pit">Open Pit</ion-option>
          <ion-option value="Drop/Overhang">Drop/Overhang</ion-option>
          <ion-option value="Pail System">Pail System</ion-option>
          <ion-option value="No Toilet/Field/Bush">No Toilet/Field/Bush</ion-option>
        </ion-select>
      </ion-item>
      <ion-item>
        <ion-label floating>Does the household have water filtration?</ion-label>
        <ion-select [(ngModel)]="houseHold.water_filtration">
          <ion-option value="yes">Yes</ion-option>
          <ion-option value="no">No</ion-option>
        </ion-select>
      </ion-item>
      <ion-item>
        <ion-label floating>Source of Electricity</ion-label>
        <ion-select [(ngModel)]="houseHold.electricity">
          <ion-option value="Electric Company">Electric Company</ion-option>
          <ion-option value="Generator">Generator</ion-option>
          <ion-option value="Solar">Solar</ion-option>
          <ion-option value="Battery">Battery</ion-option>
          <ion-option value="Others">Others</ion-option>
        </ion-select>
      </ion-item>
      <ion-item>
        <ion-label floating>Power Generator</ion-label>
        <ion-select [(ngModel)]="houseHold.power_generator">
          <ion-option value="Yes">Yes</ion-option>
          <ion-option value="No">No</ion-option>
        </ion-select>
      </ion-item>
    </ion-list>
</ion-content>
<ion-footer>
<button ion-button full (click)="addHouseHold()"> Add Household</button>
</ion-footer>
